<!-- Display Posts-->
<div class="row post" *ngFor="let post of posts">
  <app-like-button [post]="post"></app-like-button>
  <!-- Section to Display Post Information-->
  <div class="col-md-11">
    <span class="info">
      <img src="assets/images/{{post.userName}}.jpg" alt="" class="img-circle img-responsive">
      <span> User  <a class="username" (click)="goToUserProfile(post.userName)">{{post.userName}}</a> posted</span>
      <span> {{post.duration}}</span>
    </span>
    <hr />
    <div class="post-title">
      <a class="postname" href="{{post.url}}">{{post.postName}}</a>
    </div>
    
    <div>
      <p class="post-text" [innerHtml]="post.post"></p>
    </div>
    <hr />
    <span>
      <a class="btnCommments" role="button" (click)="goToPost(post.id)">
        <fa-icon [icon]="faComments"></fa-icon>
        Comments({{post.commentCount}})
      </a>
      <button class="login" (click)="goToPost(post.id)">
        Read Post
      </button>
    </span>
  </div>
</div>